* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
}
body {
    margin: 0;
    background-color: #f8f8f8;
    /* height: 100vh; */
}
.container {
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}
/* Small */
@media (min-width: 768px) {
    .container {
        width: 750px;
    }
}
/* Medium */
@media (min-width: 992px) {
    .container {
        width: 970px;
    }
}
/* Large */
@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}

header {
    background-color: #435585;
}
header > .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.eng,
.ar {
    padding: 20px 0;
    font-size: 35px;
    font-weight: bold;
    color: #f5e8c7;
}
.ar {
    direction: rtl;
}
.interface {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 80px;
    margin-top: 50px;
}
.config {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 40px;
}
.prayer_table {
    border: 3px solid #363062;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 350px;
    padding: 10px;
}
.cell {
    display: flex;
    justify-content: space-between;
    border-bottom: 2px solid #363062;
}
.prayer,
.time {
    font-size: 25px;
    font-weight: bold;
    height: 40px;
    color: #435585;
    flex-basis: 45%;
    display: flex;
    align-items: center;
    justify-content: center;
}
@media (max-width: 350px) {
    .prayer_table {
        width: 250px;
    }
    .prayer,
    .time {
        font-size: 20px;
    }
}
.selection {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
}
@media (max-width: 768px) {
    .selection,
    .dateselect {
        flex-direction: column;
    }
    .interface {
        flex-direction: column;
        gap: 40px;
    }
    .prayer_table {
        margin-bottom: 20px;
    }
}
.selection > div {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 5px;
}
label {
    font-size: 18px;
    font-weight: 500;
    color: #435585;
}
select {
    padding: 10px;
    border-radius: 5px;
    text-transform: capitalize;
    font-weight: 600;
    max-width: 180px;
    outline-color: #363062;
    background-color: #eeeeee;
    border: 2px solid #435585;
}
.dateselect {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
}
#datePicker {
    padding: 10px;
    border-radius: 5px;
    outline-color: #363062;
    background-color: #eeeeee;
    border: 2px solid #435585;
}
button {
    padding: 10px 20px;
    border-radius: 12px;
    font-size: 20px;
    font-weight: 600;
    cursor: pointer;
    background-color: #435585;
    color: #f5e8c7;
}
button:disabled {
    cursor: not-allowed;
    background-color: #818fb4;
}

.loader {
    display: none;
    width: fit-content;
    font-weight: bold;
    font-family: monospace;
    font-size: 30px;
    background: radial-gradient(circle closest-side, #000 94%, #0000)
        right/calc(200% - 1em) 100%;
    animation: l24 1s infinite alternate linear;
}

.loader::before {
    content: "Loading...";
    line-height: 1em;
    color: #363062;
    background: inherit;
    background-image: radial-gradient(circle closest-side, #fff 94%, #000);
    -webkit-background-clip: text;
    background-clip: text;
}

@keyframes l24 {
    100% {
        background-position: left;
    }
}
